# $Revision: 1.43 $, $Date: 2007-02-13 07:16:53 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	Lite
Summary:	CGI::Lite - process and decode WWW forms and cookies
Summary(pl.UTF-8):	CGI::Lite - przetwarzanie i dekodowanie forumularzy WWW i cookies
Name:		perl-CGI-Lite
Version:	2.02
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fa91873a24a9c8ac78a204e49a7f367f
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
You can use this module to decode form and query information, including
file uploads, as well as cookies in a very simple manner; you need not
concern yourself with the actual details behind the decoding process.

%description -l pl.UTF-8
Moduł ten służy modułu do dekodowania informacji z formularzy i
zapytań, włącznie z uploadem plików, a także cookies, w bardzo prosty
sposób; nie trzeba się przejmować detalami samego procesu dekodowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
find examples -type f | xargs -r perl -pi -e 's|/local/bin/perl\d*|/bin/perl|g'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%{perl_vendorlib}/CGI/Lite.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Lite.spec,v $
Revision 1.43  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.41  2004/11/03 22:30:08  paladine
- formatting

Revision 1.40  2004/10/29 23:34:30  qboosh
- typo

Revision 1.39  2004/10/29 18:20:07  ankry
- pl fix

Revision 1.38  2004/10/29 17:20:12  radek
- informative summary / description

Revision 1.37  2004/10/24 13:50:04  paladine
- spelling fix

Revision 1.36  2004/06/05 18:10:32  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.35  2004/05/06 18:09:17  ankry
- fixed perl-devel BR

Revision 1.34  2003/11/16 14:52:27  migo
- up to 2.02, cosmetics

Revision 1.33  2003/09/09 10:24:27  ankry
- spaces -> tab

Revision 1.32  2003/08/18 08:08:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.31  2003/05/28 13:00:27  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.28  2003/03/01 18:45:32  radek
- should be ready for perl-5.8.0; release++

Revision 1.27  2003/02/25 00:36:49  radek
- use the __perl macro

Revision 1.26  2003/02/24 15:40:44  qboosh
- security update to 2.001-emergencyrelease
- STBR to ra/updates/security

Revision 1.25  2003/02/18 15:27:00  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/11/26 00:13:53  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.23  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.22  2002/02/25 02:44:31  kloczek
- cosmetics.

Revision 1.21  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/13 14:09:58  depesz
automatic: Source location unfied, Relase Up

Revision 1.19  2002/02/10 15:39:12  depesz
adapterized

Revision 1.18  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.17  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.15  2001/04/17 12:05:51  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/02/20 13:42:37  mis
- eliminated "paths" patch (used perl -pi -e ... instead) to reduce
  automatic upgrade troubles. I think that shoud be done for all perl
  modules (lot of them has similar patches), any objections?

Revision 1.12  2001/02/19 13:15:21  mis
- updated to 2.0

Revision 1.11  2000/12/28 01:51:54  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.10  2000/08/27 18:19:27  kloczek
- updated to 1.9,
- new Source url.

Revision 1.9  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.4  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.3  1999/10/27 20:45:35  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.2  1999/10/02 21:26:47  pius
- fixed making manpages (perl-CGI-Lite-make.patch)

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
